* {
  box-sizing: border-box;
  &.color-white {
    color: #ffffff;
  }
  &.center {
    text-align: center;
  }
  &:focus {
    outline: none;
  }
}

html, body {
  height: 100%;
}

html, body, p, ul, figure, p {
  margin: 0;
}

@function headings($from:1, $to:6) {
  @if $from == $to {
    @return 'h#{$from}';
  } @else {
    @return 'h#{$from},' + headings($from+1, $to);
  }
}

#{headings(1,6)} {
  @extend %font-medium;
  font-family: inherit;
  font-size: inherit;
  margin: 0;
}

body {
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  color: $main-color;
  font-family: $main-font-family;
  font-size: 16px;
  line-height: 1;
  text-rendering: auto;
}

p {
  font-size: 16px;
  line-height: 1.9;
  @media all and (max-width: 1279px) {
    font-size: 15px;
    line-height: 1.6;
  }
  @media all and (max-width: 767px) {
    font-size: 14px;
  }
}

ul {
  padding-left: 0;
}

ul, li {
  list-style-type: none;
}

img {
  display: block;
  max-width: 100%;
}

a {
  color: inherit;
  text-decoration: none;
  &:hover, &:visited, &:active {
    color: inherit;
    text-decoration: none;
  }
}

.button-container {
  padding-top: 51px;
  &.center {
    text-align: center;
  }
  .appointment-section & {
    padding-top: 0;
  }
}

a, button {
  @extend %transition-favorite;
  display: inline-block;
  &.main-button {
    @extend %font-regular;
    background-color: $brand-color;
    border: 1px solid $brand-color;
    border-radius: 25px;
    color: #ffffff;
    font-family: $secondary-font;
    font-size: 15px;
    letter-spacing: 0.5px;
    text-align: center;
    text-transform: uppercase;
    min-width: 150px;
    padding: 15px 68px 17px;
    .hero-section & {
      @extend %font-bold;
      letter-spacing: 2px;
      padding: 15px 97px 17px;
      @media all and (max-width: 1100px) {
        padding: 15px 67px 17px;
      }
    }
    &:hover {
      background-color: transparent;
      color: $brand-color;
    }
    @media all and (max-width: 1100px) {
      min-width: 130px;
      padding: 10px 48px 12px;
    }
  }
}

// .main-container
.main-container {
  @include container-setup($main-container-grid-breakpoints);
}

// Typography templates
%heading-template {
  @extend %font-medium;
  color: $section-header-color;
  font-family: $header-font;
  font-size: 2.13em;
  letter-spacing: 0.12em;
  line-height: 1.4;
  text-transform: uppercase;
}

%article-title-template {
  @extend %font-regular;
  color: $brand-color;
  font-family: $header-font;
  font-size: 22px;
  letter-spacing: 2.2px;
  line-height: 1.2;
  text-transform: uppercase;
  @media all and (max-width: 767px) {
    font-size: 18px;
    letter-spacing: 1.5px;
  }
}

%article-subtitle-template {
  @extend %font-light;
  color: $main-color;
  font-family: $header-font;
  font-size: 16px;
  line-height: 1.2;
  letter-spacing: 1.7px;
  text-transform: uppercase;
  margin-top: 14px;
  @media all and (max-width: 1100px) {
    margin-top: 7px;
  }
  @media all and (max-width: 767px) {
    font-size: 15px;
  }
}

.section-header {
  @extend %heading-template;
  &.center {
    text-align: center;
  }
  &.color-white {
    color: #ffffff;
  }
  .hero-section & {
    font-family: 'Linowrite';
    font-size: 4.4em;
    font-weight: 100;
    line-height: 1;
    letter-spacing: 0.3em;
  }
  .about-us-section & {
    margin-bottom: 30px;
    @media all and (max-width: 1100px) {
      margin-bottom: 20px;
    }
  }
  .price-section & {
    @extend %relative;
    margin-bottom: 40px;
    padding-bottom: 35px;
    @media all and (max-width: 1599px) {
      margin-bottom: 25px;
      padding-bottom: 20px;
    }
    &:after {
      content: '';
      @extend %absolute;
      background-color: #ffffff;
      display: inline-block;
      height: 1px;
      width: 160%;
      bottom: 0;
      left: 0;
    }
  }
  .contact-section & {
    margin-bottom: 88px;
    @media all and (max-width: 1100px) {
      margin-bottom: 60px;
    }
    @media all and (max-width: 500px) {
      margin-bottom: 40px;
    }
  }
}

.title {
  @extend %article-title-template;
}

.subtitle {
  @extend %article-subtitle-template;
}

%icon-background-template {
  background-color: #f7f9f8;
  border-radius: 50%;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  height: 90px;
  width: 90px;
  @media all and (max-width: 1100px) {
    height: 70px;
    min-width: 70px;
    width: 70px;
    img {
      max-width: 35px;
    }
  }
}